require 'AnAL'
require 'button'
require 'menu'
---
function love.load()
	love.graphics.setBackgroundColor(255,255,255)
	state='idle'
	image=love.graphics.newImage('/sprites/default.png')
	local smashimage=love.graphics.newImage('/sprites/headsmash.png')
	local superimage=love.graphics.newImage('/sprites/supersmash.png')
	headsmash=newAnimation(smashimage,200,200,0.1,0)
	supersmash=newAnimation(superimage,200,400,0.1,0)
	punch=love.graphics.newImage('/sprites/punch.png')
	songdata=love.sound.newDecoder('/song/taco.mp3')
	song=love.audio.newSource(songdata)
	fish=love.graphics.newFont('/fonts/ff.ttf', 72)
	decibel=love.graphics.newFont('/fonts/de.ttf',28)
	score=0
	timer=0
	finishedLoading=false
	alpha=255
	ewd=love.graphics.newImage('/sprites/ewd.png')
	love.audio.play(song)
	song:setLooping(true)
	button_spawn(10,10,'Buy a new super smash: 300 POINTS','super')
	smashanim=1
end

function love.update(dt)
	headsmash:setMode('once')
	supersmash:setMode('once')
	mouse={
		x=love.mouse.getX(),
		y=love.mouse.getY()
	}

	if (finishedLoading==false) then
		love.graphics.setColor(255,255,255,alpha)
	end

	timer=timer+dt

	if (timer>1.99) then
		finishedLoading=true
	end

	if (finishedLoading==true) then

		if (state=='shop') then
			button_check()
		end

		if (state=='smash') then
			headsmash:update(dt)
		end

		if (state=='super') then
			supersmash:update(dt)
		end

		if (not headsmash.playing) then
			headsmash:seek(1)
			if (love.keyboard.isDown('x')) then
				headsmash:play()
				score=score+1
			end
		end

		if (not supersmash.playing) then
			supersmash:seek(1)
			if (love.keyboard.isDown('z')) then
				supersmash:play()
				score=score+2
			end
		end

	end

end

function love.keypressed(k)
	if (state=='shop') then
		if (k=='escape') then
			state='idle'
		end
	else

		if (k=='x') then
			state='smash'
			score=score+1
		end

		if (k=='z') then
			state='super'
			score=score+2
		end

		if (k=='escape') then
			if (state~='shop') then
				love.event.push('quit')
			end
		end

		if (k=='s') then
			state='shop'
		end
	end
end

function love.draw()

	if (finishedLoading==true) then
		if (state=='shop') then
			love.graphics.setColor(150,0,0)
			love.graphics.setFont(decibel)
			love.graphics.print("Points: "..score,10,530)
			love.graphics.print('Press escape to go back!',10,560)
			if (smashanim==2) then
				love.graphics.print("You bought the punch animation!",10,40)
			end
			love.graphics.setColor(255,255,255)
			button_draw()
		else
			love.graphics.setBackgroundColor(255,255,255)
			love.graphics.setFont(fish)
			if (state=='idle') then
				love.graphics.draw(image,400,300)
			end
			if (state=='smash') then
				headsmash:draw(400,300)
			end
			if (state=='super') then
				if (smashanim==1) then
					supersmash:draw(400,100)
				end

				if (smashanim==2) then
					supersmash:draw(400,300)
				end
			end
			love.graphics.setColor(200,0,0)
			love.graphics.print('SMASH BABY HEADS!!!!\nHARDCORE!!!!',10,10)
			love.graphics.setFont(decibel)
			love.graphics.print('X to smash a head, Z for a super smash!\nS to go to the shop!!',10,540)
			love.graphics.print("Points: "..score,10,150)
			love.graphics.setColor(255,255,255)
		end
	else
		love.graphics.setBackgroundColor(255,105,30)
		love.graphics.draw(ewd,400-ewd:getWidth()/2,300-ewd:getHeight()/2)
	end
end

function love.mousereleased(x,y,button)

	if (button=='l') then

		if (state=='shop') then
			button_click(x,y)
		end

	end

end



